Skip to content

List a call's turns in order

GET
/v1/calls/{call_id}/turns
curl --request GET \
--url 'https://api.vocapable.com/v1/calls/example/turns?limit=50' \
--header 'Authorization: Bearer <token>'
call_id
required
Call Id
string
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string

Successful Response

Media typeapplication/json
CursorPage[CallTurn]
object
data
required
Data
Array<object>
CallTurn

One utterance. Offsets are call-relative milliseconds, never wall clock.

object
id
required
Id
string
seq
required
Seq
integer
speaker
required
Speaker
string
Allowed values: agent contact
text
required
Text
string
started_at_ms
required
Started At Ms
integer
ended_at_ms
Any of:
integer
interrupted
Interrupted
boolean
revision
Revision
integer
0
llm_ttft_ms
Any of:
integer
voice_to_voice_ms
Any of:
integer
tool_calls
Tool Calls
Array
created_at
required
Created At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"speaker": "agent",
"interrupted": false,
"revision": 0
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}